mdc2unicode API

Converts a Manuel de Codage (MdC) string into its Unicode representation of ancient Egyptian hieroglyphs. The service is part of the Thesaurus Linguae Aegyptiae (TLA) public API.

Note: The MdC dialect accepted by this service mostly follows the JSesh conventions. But note:

Endpoint

Two equivalent forms are accepted:

GET /mdc2unicode?mdc={mdc}
GET /mdc2unicode/{mdc}

Both return text/plain. The path form (/{mdc}) is intended for simple sign codes only; notably, it cannot technically handle MdC strings that contain / (lost-sign notation).

Escaping

Some MdC characters require URL-encoding when passed as a query parameter:

CharacterEncoded form
+%2B
/%2F
&%26
#%23
\%5C
{ }%7B %7D
^%5E

Parameters

NameLocationRequiredDefaultDescription
mdcquery / pathyesβ€”Manuel de Codage string to convert
removeAlignmentControlsquerynotrueStrip alignment control characters from the output
removeShadingOverlaysquerynotrueStrip shading overlay characters from the output

Examples

GET /mdc2unicode?mdc=E34
β†’ 𓃺

GET /mdc2unicode/E34
β†’ 𓃺

GET /mdc2unicode?mdc=E34:N35
β†’ π“ƒΊπ“ˆ–  (U+130FA U+13216)

GET /mdc2unicode?mdc=E34:N35&removeAlignmentControls=false
β†’ π“ƒΊπ“°π“ˆ–  (U+130FA U+13430 U+13216)

GET /mdc2unicode?mdc=D21-G17%5Cshading12-K5
β†’ π“‚‹π“…“π“†Ÿ  (U+1308B U+13153 U+1319F)

GET /mdc2unicode?mdc=D21-G17%5Cshading12-K5&removeShadingOverlays=false
β†’ π“‚‹π“…“π“‘‹π“†Ÿ  (U+1308B U+13153 U+1344B U+1319F)

Usage in Excel/Calc

To use the API in MS Excel / Libre Office Calc try the folloing sniplets 

English 

With MdC in cell A1:

=IF(A1=""; "";IFERROR(WEBSERVICE("https://api.thesaurus-linguae-aegyptiae.de/mdc2unicode?mdc="&URLENCODE(A1));"Error: server unreachable."))

or (on MacOS)

=IF(A1=""; "";
 IFERROR(
   WEBSERVICE("https://api.thesaurus-linguae-aegyptiae.de/mdc2unicode?mdc="&
     SUBSTITUTE(
     SUBSTITUTE(
     SUBSTITUTE(
     SUBSTITUTE(
     SUBSTITUTE(
     SUBSTITUTE(
     SUBSTITUTE(
     SUBSTITUTE(
       A1;
       "+";"%2B");
       "/";"%2F");
       "&";"%26");
       "#";"%23");
       "\";"%5C");
       "{";"%7B");
       "}";"%7D");
       "^";"%5E")
   );
   "Error: server unreachable."
 )
)

German

With MdC in cell A1:

=WENN(A1=""; "";WENNFEHLER(WEBDIENST("https://api.thesaurus-linguae-aegyptiae.de/mdc2unicode?mdc="&URLCODIEREN(A1));"Fehler: Server nicht erreicht."))

or (on MacOS)

=WENN(A1=""; "";
 WENNFEHLER(
   WEBDIENST("https://api.thesaurus-linguae-aegyptiae.de/mdc2unicode?mdc="&
     WECHSELN(
     WECHSELN(
     WECHSELN(
     WECHSELN(
     WECHSELN(
     WECHSELN(
     WECHSELN(
     WECHSELN(
       A1;
       "+";"%2B");
       "/";"%2F");
       "&";"%26");
       "#";"%23");
       "\";"%5C");
       "{";"%7B");
       "}";"%7D");
       "^";"%5E")
   );
   "Error: Server nicht erreicht."
 )
)

Response

The service returns the converted Unicode string as plain text.

If the input is invalid or cannot be processed (e.g., if the URL-encoding of special characters has been forgotten), the server responds with HTTP Status 400 – Bad Request.

Citation of the API

Refer to the API as:

Thesaurus Linguae Aegyptiae, mdc2unicode API, api.thesaurus-linguae-aegyptiae.de/mdc2unicode, implemented by Daniel A. Werning & R. Dominik BlΓΆse, ed. by Tonio Sebastian Richter & Daniel A. Werning on behalf of the Berlin-Brandenburgische Akademie der Wissenschaften, 2026–…

Data License

The Unicode data strings returned by the API can be freely used (CC0). Paying credit is welcome.